#!/usr/bin/env python

from setuptools import setup
from setuptools.command.install import install as _install

class install(_install):
    def pre_install_script(self):
        pass

    def post_install_script(self):
        pass

    def run(self):
        self.pre_install_script()

        _install.run(self)

        self.post_install_script()

if __name__ == '__main__':
    setup(
        name = 'karellen-pyb-plugin',
        version = '0.0.1.dev20160930085818',
        description = '''Karellen PyBuilder Plugin''',
        long_description = '''Karellen PyBuilder Plugin
=========================

`Karellen <https://www.karellen.co/karellen/>`__
`PyBuilder <http://pybuilder.github.io/>`__ Plugin

This is the main PyBuilder plugin for all of the projects under
`Karellen <https://www.karellen.co/>`__ umbrella. This plugin governs
the following PyBuilder project settings:

1. Code style and copyright headers.
2. Unit and integration test passing threshold.
3. Documentation building and style.
4. Code packaging, packaging metadata and signing.

In order to make sure your project conforms to Karellen standards, use
this plugin by adding the following to your ``build.py``:

.. code:: python


    from pybuilder.core import use_plugin 

    # ... #

    use_plugin("pypi:karellen_pyb_plugin", ">=0.0.1.dev")

For Developers
--------------

`Karellen PyBuilder Plugin Issue
Tracker <https://waffle.io/karellen/karellen>`__

`Karellen PyBuilder Plugin Source
Code <https://github.com/karellen/karellen-pyb-plugin>`__
''',
        author = "Karellen, Inc",
        author_email = "supervisor@karellen.co",
        license = 'Apache License, Version 2.0',
        url = 'https://github.com/karellen/karellen-pyb-plugin',
        scripts = [],
        packages = ['karellen_pyb_plugin'],
        namespace_packages = [],
        py_modules = [],
        classifiers = [
            'Development Status :: 5 - Production/Stable',
            'Environment :: Console',
            'Intended Audience :: Developers',
            'License :: OSI Approved :: Apache Software License',
            'Programming Language :: Python',
            'Programming Language :: Python :: 3.5'
        ],
        entry_points = {},
        data_files = [],
        package_data = {},
        install_requires = [],
        dependency_links = [],
        zip_safe=True,
        cmdclass={'install': install},
    )
